## postgresql-mysql-fdw 2.1.2

=== Makefile ===
######################################################################-------------------------------------------------------------------------
#
# mysql_fdw.c
# 		Foreign-data wrapper for remote MySQL servers
#
# Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
#
# Portions Copyright (c) 2004-2014, EnterpriseDB Corporation.
#
# IDENTIFICATION
# 		mysql_fdw.c
#
##########################################################################

MODULE_big = mysql_fdw
OBJS = connection.o option.o deparse.o mysql_query.o mysql_fdw.o

EXTENSION = mysql_fdw
DATA = mysql_fdw--1.0.sql

REGRESS = mysql_fdw

MYSQL_CONFIG = mysql_config
PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)
LIB := $(shell $(MYSQL_CONFIG) --libs)

# In Debian based distros, libmariadbclient-dev provides mariadbclient (rather than mysqlclient)
ifneq ($(findstring mariadbclient,$(LIB)),)
MYSQL_LIB = mariadbclient
else
MYSQL_LIB = mysqlclient
endif

UNAME = uname
OS := $(shell $(UNAME))
ifeq ($(OS), Darwin)
DLSUFFIX = .dylib
else
DLSUFFIX = .so
endif

PG_CPPFLAGS += -D _MYSQL_LIBNAME=\"lib$(MYSQL_LIB)$(DLSUFFIX)\"

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif
ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6))
$(error PostgreSQL 9.3, 9.4, 9.5 or 9.6 is required to compile this extension)
endif

else
subdir = contrib/mysql_fdw
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-mysql-fdw (2.1.2-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:51:45 +0000

postgresql-mysql-fdw (2.1.2-1) unstable; urgency=medium

  * New upstream version with 9.5 support.
  * debian/tests: Add new table and disable unshare.
  * Ignore test results on squeeze, precise, and wily.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Jan 2016 11:28:15 +0100

postgresql-mysql-fdw (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #785453).

 -- Markus Wanner <markus.wanner@datahouse.ch>  Sun, 13 Sep 2015 21:12:59 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Markus Wanner <markus.wanner@datahouse.ch>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libmysqlclient-dev
Standards-Version: 3.9.6
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-mysql-fdw.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-mysql-fdw.git

Package: postgresql-mysql-fdw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for mysql-fdw
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package contains the documentation.

Package: postgresql-9.5-mysql-fdw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Description: Postgres 9.5 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 9.5.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

export USE_PGXS=1

%:
	dh $@

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-mysql-fdw

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results
	mkdir results

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, libmysqlclient-dev, mysql-server
Tests: installcheck
Restrictions: needs-root allow-stderr

## postgresql-mysql-fdw 2.2.0

=== debian/changelog ===
postgresql-mysql-fdw (2.2.0-2) unstable; urgency=medium

  * Use default-mysql-server in test dependencies, stretch doesn't have
    mysql-server.

 -- Christoph Berg <myon@debian.org>  Sun, 19 Mar 2017 20:57:02 +0100

postgresql-mysql-fdw (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Change INFO on established mysql connection to DEBUG1; the user should not
    be bothered with it in normal operation, and moreover, INFO is not
    possible to suppress using client_min_messages for having reproducible
    regression test results (the message contains the mysql server version).

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 12 Jan 2017 10:02:48 +0100

postgresql-mysql-fdw (2.1.2-4) unstable; urgency=medium

  * Switch to default-libmysqlclient-dev. (Closes: #845897, #848293)

 -- Christoph Berg <myon@debian.org>  Sat, 17 Dec 2016 18:15:18 +0100

postgresql-mysql-fdw (2.1.2-3) unstable; urgency=medium

  * Team upload with 9.6 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 27 Sep 2016 12:37:38 +0200

postgresql-mysql-fdw (2.1.2-2) unstable; urgency=medium

  * Add libmysqlclient-dev to Depends. libmysqlclient.so is loaded at runtime
    using dlopen(). Spotted by Lev Dragunov, thanks!

 -- Christoph Berg <myon@debian.org>  Tue, 17 May 2016 23:45:59 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-mysql-fdw.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-mysql-fdw.git

Package: postgresql-mysql-fdw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for mysql-fdw
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package contains the documentation.

Package: postgresql-9.6-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-9.6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 9.6 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 9.6.

## postgresql-mysql-fdw 2.3.0

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6))
-$(error PostgreSQL 9.3, 9.4, 9.5 or 9.6 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10beta))
+$(error PostgreSQL 9.3, 9.4, 9.5, 9.6 or 10beta is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.3.0-2) unstable; urgency=medium

  * Ignore "Test failure with PG10: ERROR: unrecognized node type: 217" for
    now: https://github.com/EnterpriseDB/mysql_fdw/issues/147

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 01 Dec 2017 11:15:51 +0100

postgresql-mysql-fdw (2.3.0-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 10 support.
  * Drop postgresql-mysql-fdw-doc package, it contained only README.md which
    is also included in the main package anyway.
  * Add new required table to MySQL test schema.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Sep 2017 18:42:43 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.0
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-mysql-fdw.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-mysql-fdw.git

Package: postgresql-10-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 10 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 10.

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 override_dh_auto_clean:
 	+pg_buildext clean build-%v
-	rm -rf results
+	rm -rf results regression.*
 	mkdir results

## postgresql-mysql-fdw 2.4.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 OBJS = connection.o option.o deparse.o mysql_query.o mysql_fdw.o
 
 EXTENSION = mysql_fdw
-DATA = mysql_fdw--1.0.sql
+DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql
 
 REGRESS = mysql_fdw

=== debian/changelog ===
postgresql-mysql-fdw (2.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sat, 17 Mar 2018 16:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  postgresql-server-dev-all (>= 153~),
 Standards-Version: 4.1.0
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-mysql-fdw.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-mysql-fdw.git
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
 
 Package: postgresql-10-mysql-fdw
 Architecture: any

## postgresql-mysql-fdw 2.5.1

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10beta))
-$(error PostgreSQL 9.3, 9.4, 9.5, 9.6 or 10beta is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11))
+$(error PostgreSQL 9.3, 9.4, 9.5, 9.6 10 or 11 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.5.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 29 Nov 2018 10:30:16 +0100

postgresql-mysql-fdw (2.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 29 Nov 2018 10:30:16 +0100

postgresql-mysql-fdw (2.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Oct 2018 22:39:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: postgresql-mysql-fdw
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Markus Wanner <markus.wanner@datahouse.ch>,
  Christoph Berg <myon@debian.org>,
@@ -13,6 +13,58 @@
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
+
+Package: postgresql-9.3-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-9.3,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 9.3 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 9.3.
+
+Package: postgresql-9.4-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-9.4,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 9.4 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 9.4.
+
+Package: postgresql-9.5-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-9.5,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 9.5 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 9.5.
+
+Package: postgresql-9.6-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-9.6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 9.6 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 9.6.
 
 Package: postgresql-10-mysql-fdw
 Architecture: any
@@ -27,3 +79,16 @@
  .
  This package is for PostgreSQL 10.
 
+Package: postgresql-11-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 11 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 11.
+

## postgresql-mysql-fdw 2.5.3

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11))
-$(error PostgreSQL 9.3, 9.4, 9.5, 9.6 10 or 11 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11 12))
+$(error PostgreSQL 9.3, 9.4, 9.5, 9.6 10 11 12 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.5.3-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 01 Oct 2019 09:39:12 +0200

postgresql-mysql-fdw (2.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Oct 2019 09:39:12 +0200

postgresql-mysql-fdw (2.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Sep 2019 12:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,6 @@
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
-
-Package: postgresql-9.3-mysql-fdw
-Architecture: any
-Depends:
- default-libmysqlclient-dev | libmysqlclient-dev,
- postgresql-9.3,
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Postgres 9.3 Foreign Data Wrapper for MySQL
- postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
- Wrapper (FDW) to access MySQL data from PostgreSQL.
- .
- This package is for PostgreSQL 9.3.
 
 Package: postgresql-9.4-mysql-fdw
 Architecture: any

## postgresql-mysql-fdw 2.5.4

=== debian/changelog ===
postgresql-mysql-fdw (2.5.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.
  * Fix regression tests to work with mariadb as well.
  * Remove some tests with output that varies a lot between MySQL versions.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Aug 2020 13:59:24 +0200

postgresql-mysql-fdw (2.5.3-2) unstable; urgency=medium

  * Fix build failure with gcc 10. (Closes: #957700)
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jul 2020 15:58:48 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.5.0
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw

Package: postgresql-12-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 12 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 12.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# fix build failure with gcc 10
+CFLAGS += -fcommon
 
-# Using pg_buildext
 include /usr/share/postgresql-common/pgxs_debian_control.mk
-
-export USE_PGXS=1
 
 %:
 	dh $@

## postgresql-mysql-fdw 2.5.5

=== Makefile ===
# mysql_fdw/Makefile
#
# Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
# Portions Copyright (c) 2004-2020, EnterpriseDB Corporation.
#

MODULE_big = mysql_fdw
OBJS = connection.o option.o deparse.o mysql_query.o mysql_fdw.o

EXTENSION = mysql_fdw
DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql

REGRESS = server_options connection_validation dml select pushdown

MYSQL_CONFIG = mysql_config
PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)
LIB := $(shell $(MYSQL_CONFIG) --libs)

# In Debian based distros, libmariadbclient-dev provides mariadbclient (rather than mysqlclient)
ifneq ($(findstring mariadbclient,$(LIB)),)
MYSQL_LIB = mariadbclient
else
MYSQL_LIB = mysqlclient
endif

UNAME = uname
OS := $(shell $(UNAME))
ifeq ($(OS), Darwin)
DLSUFFIX = .dylib
else
DLSUFFIX = .so
endif

PG_CPPFLAGS += -D _MYSQL_LIBNAME=\"lib$(MYSQL_LIB)$(DLSUFFIX)\"

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif
ifeq (,$(findstring $(MAJORVERSION), 9.5 9.6 10 11 12 13))
$(error PostgreSQL 9.5, 9.6, 10, 11, 12, or 13 is required to compile this extension)
endif

else
subdir = contrib/mysql_fdw
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-mysql-fdw (2.5.5-2) unstable; urgency=medium

  * debian/tests: Start mariadb service when available.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jan 2021 17:25:46 +0100

postgresql-mysql-fdw (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Nov 2020 11:16:37 +0100

postgresql-mysql-fdw (2.5.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Remove -fcommon workaround again (gcc 10 fix).
  * Use dh --with pgxs.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:21:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  default-libmysqlclient-dev | libmysqlclient-dev,
- postgresql-server-dev-all (>= 153~),
+ postgresql-all (>= 217~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
 
-Package: postgresql-12-mysql-fdw
+Package: postgresql-13-mysql-fdw
 Architecture: any
 Depends:
  default-libmysqlclient-dev | libmysqlclient-dev,
- postgresql-12,
+ postgresql-13,
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Postgres 12 Foreign Data Wrapper for MySQL
+Description: Postgres 13 Foreign Data Wrapper for MySQL
  postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
  Wrapper (FDW) to access MySQL data from PostgreSQL.
  .
- This package is for PostgreSQL 12.
+ This package is for PostgreSQL 13.

=== debian/tests/control ===
Depends: @, default-mysql-server | mysql-server, make
Tests: installcheck
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d+)_(\d+)_(\d+)/$1.$2.$3/ \
 https://github.com/EnterpriseDB/mysql_fdw/releases \
 .*/mysql_fdw/archive/REL-([\d_].*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## postgresql-mysql-fdw 2.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # mysql_fdw/Makefile
 #
 # Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
-# Portions Copyright (c) 2004-2020, EnterpriseDB Corporation.
+# Portions Copyright (c) 2004-2021, EnterpriseDB Corporation.
 #
 
 MODULE_big = mysql_fdw
@@ -10,7 +10,7 @@
 EXTENSION = mysql_fdw
 DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql
 
-REGRESS = server_options connection_validation dml select pushdown
+REGRESS = server_options connection_validation dml select pushdown join_pushdown
 
 MYSQL_CONFIG = mysql_config
 PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)
@@ -40,8 +40,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 9.5 9.6 10 11 12 13))
-$(error PostgreSQL 9.5, 9.6, 10, 11, 12, or 13 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 9.6 10 11 12 13 14))
+$(error PostgreSQL 9.6, 10, 11, 12, 13 or 14 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.6.1-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:49:46 +0200

postgresql-mysql-fdw (2.6.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.
  * B-D on postgresql-server-dev-all only.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 09:49:46 +0200

postgresql-mysql-fdw (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.
  * Accept regression output variation for maximum fetch_size on 32bit.
  * Fix watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Sep 2021 17:28:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,66 @@
  Markus Wanner <markus.wanner@datahouse.ch>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  default-libmysqlclient-dev | libmysqlclient-dev,
- postgresql-all (>= 217~),
+ postgresql-server-dev-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
+
+Package: postgresql-9.6-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-9.6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 9.6 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 9.6.
+
+Package: postgresql-10-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-10,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 10 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 10.
+
+Package: postgresql-11-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 11 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 11.
+
+Package: postgresql-12-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 12 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 12.
 
 Package: postgresql-13-mysql-fdw
 Architecture: any
@@ -27,3 +79,16 @@
  Wrapper (FDW) to access MySQL data from PostgreSQL.
  .
  This package is for PostgreSQL 13.
+
+Package: postgresql-14-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-14,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 14 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 14.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+)_(\d+)_(\d+)/$1.$2.$3/ \
 https://github.com/EnterpriseDB/mysql_fdw/releases \
 .*/REL-([\d_].*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## postgresql-mysql-fdw 2.7.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 EXTENSION = mysql_fdw
 DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql
 
-REGRESS = server_options connection_validation dml select pushdown join_pushdown
+REGRESS = server_options connection_validation dml select pushdown join_pushdown aggregate_pushdown
 
 MYSQL_CONFIG = mysql_config
 PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)

=== debian/changelog ===
postgresql-mysql-fdw (2.7.0-2) unstable; urgency=medium

  * Disable jit for tests; works around "failed to resolve name __mulodi4".
    Cf. https://github.com/EnterpriseDB/mysql_fdw/pull/227.
    (Closes: 1001811)

 -- Christoph Berg <myon@debian.org>  Wed, 12 Jan 2022 17:28:21 +0100

postgresql-mysql-fdw (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:58:34 +0100

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw

Package: postgresql-14-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 14 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 14.

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg20.04+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

postgresql-mysql-fdw (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0.
  * Fix unstable ordering in sql/select.sql.
  * Disable fetch_size error tests so we don't have to maintain a separate
    expected output file.

 -- Christoph Berg <myon@debian.org>  Fri, 20 May 2022 14:56:44 +0200

postgresql-mysql-fdw (2.7.0-3) unstable; urgency=medium

  * debian/tests: Skip tests if mariadb/mysql doesn't start.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Feb 2022 11:37:12 +0100

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg90+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Remove skippable from debian/tests/control.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Wanner <markus.wanner@datahouse.ch>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  default-libmysqlclient-dev | libmysqlclient-dev,
  postgresql-server-dev-all (>= 217~),
 Standards-Version: 4.5.0
@@ -14,6 +14,58 @@
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
+
+Package: postgresql-10-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-10,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 10 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 10.
+
+Package: postgresql-11-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 11 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 11.
+
+Package: postgresql-12-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 12 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 12.
+
+Package: postgresql-13-mysql-fdw
+Architecture: any
+Depends:
+ default-libmysqlclient-dev | libmysqlclient-dev,
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Postgres 13 Foreign Data Wrapper for MySQL
+ postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
+ Wrapper (FDW) to access MySQL data from PostgreSQL.
+ .
+ This package is for PostgreSQL 13.
 
 Package: postgresql-14-mysql-fdw
 Architecture: any

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg100+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Wanner <markus.wanner@datahouse.ch>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  default-libmysqlclient-dev | libmysqlclient-dev,
  postgresql-server-dev-all (>= 217~),
 Standards-Version: 4.5.0

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg110+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg120+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

## postgresql-mysql-fdw 2.8.0~20220628.0652-1~3.gitdb375ce.pgdg+1

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0~20220628.0652-1~3.gitdb375ce.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 May 2022 14:56:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Wanner <markus.wanner@datahouse.ch>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  default-libmysqlclient-dev | libmysqlclient-dev,
  postgresql-server-dev-all (>= 217~),
 Standards-Version: 4.5.0

=== debian/tests/control ===
Depends: @, default-mysql-server | mysql-server, make
Tests: installcheck
Restrictions: needs-root, allow-stderr, skippable

## postgresql-mysql-fdw 2.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # mysql_fdw/Makefile
 #
 # Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
-# Portions Copyright (c) 2004-2021, EnterpriseDB Corporation.
+# Portions Copyright (c) 2004-2022, EnterpriseDB Corporation.
 #
 
 MODULE_big = mysql_fdw
@@ -10,7 +10,7 @@
 EXTENSION = mysql_fdw
 DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql
 
-REGRESS = server_options connection_validation dml select pushdown join_pushdown aggregate_pushdown
+REGRESS = server_options connection_validation dml select pushdown join_pushdown aggregate_pushdown limit_offset_pushdown
 
 MYSQL_CONFIG = mysql_config
 PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)
@@ -40,8 +40,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 9.6 10 11 12 13 14))
-$(error PostgreSQL 9.6, 10, 11, 12, 13 or 14 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 10 11 12 13 14 15))
+$(error PostgreSQL 10, 11, 12, 13, 14, or 15 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.8.0-4) unstable; urgency=medium

  * Adjust tests for changed mysql error messages. (Closes: #1033836)

 -- Christoph Berg <myon@debian.org>  Mon, 15 May 2023 15:11:37 +0200

postgresql-mysql-fdw (2.8.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:01:20 +0200

postgresql-mysql-fdw (2.8.0-2) unstable; urgency=medium

  * Test-depend on locales-all instead of pgcommon.sh.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Aug 2022 15:40:10 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw

Package: postgresql-15-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 15 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 15.

=== debian/tests/control ===
Depends: @, default-mysql-server | mysql-server, locales-all, make
Tests: installcheck
Restrictions: needs-root, allow-stderr, skippable

## postgresql-mysql-fdw 2.9.1

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # mysql_fdw/Makefile
 #
 # Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
-# Portions Copyright (c) 2004-2022, EnterpriseDB Corporation.
+# Portions Copyright (c) 2004-2023, EnterpriseDB Corporation.
 #
 
 MODULE_big = mysql_fdw
-OBJS = connection.o option.o deparse.o mysql_query.o mysql_fdw.o
+OBJS = connection.o option.o deparse.o mysql_query.o mysql_fdw.o mysql_pushability.o
 
 EXTENSION = mysql_fdw
-DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql
+DATA = mysql_fdw--1.0.sql mysql_fdw--1.1.sql mysql_fdw--1.0--1.1.sql mysql_fdw--1.2.sql mysql_fdw--1.1--1.2.sql mysql_fdw_pushdown.config
 
-REGRESS = server_options connection_validation dml select pushdown join_pushdown aggregate_pushdown limit_offset_pushdown
+REGRESS = server_options connection_validation dml select pushdown join_pushdown aggregate_pushdown limit_offset_pushdown misc
 
 MYSQL_CONFIG = mysql_config
 PG_CPPFLAGS := $(shell $(MYSQL_CONFIG) --include)
@@ -40,8 +40,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 10 11 12 13 14 15))
-$(error PostgreSQL 10, 11, 12, 13, 14, or 15 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 11 12 13 14 15 16))
+$(error PostgreSQL 11, 12, 13, 14, 15, or 16 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.9.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:27:32 +0200

postgresql-mysql-fdw (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1.
  * Skip tests when mysql schema can't be loaded. (It's incompatible with
    mariadb now.)
  * Adjust tests for changed mysql error messages. (Closes: #1033836)
  * Remove pushdown test with varying output on PG11.
  * Give up on playing whack-a-mole with upstream regression tests and mark
    them as flaky; add a simple superficial "create extension" test.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 12:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,21 @@
  debhelper-compat (= 13),
  default-libmysqlclient-dev | libmysqlclient-dev,
  postgresql-server-dev-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EnterpriseDB/mysql_fdw
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw
 
-Package: postgresql-15-mysql-fdw
+Package: postgresql-16-mysql-fdw
 Architecture: any
 Depends:
  default-libmysqlclient-dev | libmysqlclient-dev,
- postgresql-15,
+ ${postgresql:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Postgres 15 Foreign Data Wrapper for MySQL
+Description: Postgres 16 Foreign Data Wrapper for MySQL
  postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
  Wrapper (FDW) to access MySQL data from PostgreSQL.
  .
- This package is for PostgreSQL 15.
+ This package is for PostgreSQL 16.

=== debian/tests/control ===
Depends: @, default-mysql-server | mysql-server, locales-all, make
Tests: installcheck
Restrictions: needs-root, allow-stderr, flaky, skippable

Depends: @
Tests: create-extension
Restrictions: allow-stderr, superficial

## postgresql-mysql-fdw 2.9.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # mysql_fdw/Makefile
 #
 # Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
-# Portions Copyright (c) 2004-2023, EnterpriseDB Corporation.
+# Portions Copyright (c) 2004-2024, EnterpriseDB Corporation.
 #
 
 MODULE_big = mysql_fdw
@@ -40,8 +40,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 11 12 13 14 15 16))
-$(error PostgreSQL 11, 12, 13, 14, 15, or 16 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 12 13 14 15 16 17))
+$(error PostgreSQL 12, 13, 14, 15, 16, or 17 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.9.2-2build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:49:46 -0500

postgresql-mysql-fdw (2.9.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 21:28:54 +0000

postgresql-mysql-fdw (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2.
  * Bump debian/pgversions to 12+.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Jul 2024 19:18:07 +0200

=== debian/control ===
Source: postgresql-mysql-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Markus Wanner <markus.wanner@datahouse.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/EnterpriseDB/mysql_fdw
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-mysql-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-mysql-fdw

Package: postgresql-17-mysql-fdw
Architecture: any
Depends:
 default-libmysqlclient-dev | libmysqlclient-dev,
 ${postgresql:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 17 Foreign Data Wrapper for MySQL
 postgresql-mysql-fdw is a PostgreSQL extension implementing a Foreign Data
 Wrapper (FDW) to access MySQL data from PostgreSQL.
 .
 This package is for PostgreSQL 17.

## postgresql-mysql-fdw 2.9.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # mysql_fdw/Makefile
 #
 # Portions Copyright (c) 2012-2014, PostgreSQL Global Development Group
-# Portions Copyright (c) 2004-2024, EnterpriseDB Corporation.
+# Portions Copyright (c) 2004-2025, EnterpriseDB Corporation.
 #
 
 MODULE_big = mysql_fdw
@@ -40,8 +40,8 @@
 ifndef MAJORVERSION
 MAJORVERSION := $(basename $(VERSION))
 endif
-ifeq (,$(findstring $(MAJORVERSION), 12 13 14 15 16 17))
-$(error PostgreSQL 12, 13, 14, 15, 16, or 17 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 13 14 15 16 17 18))
+$(error PostgreSQL 13, 14, 15, 16, 17, or 18 is required to compile this extension)
 endif
 
 else

=== debian/changelog ===
postgresql-mysql-fdw (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3.
  * Upload for PostgreSQL 18.
  * debian/pgversions: Bump to 13+.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:35:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest, we don't have MySQL access at build time

=== debian/tests/control ===
Depends:
 default-mysql-server | mysql-server,
 locales-all,
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
 flaky,
 needs-root,
 skippable,

Depends:
 @,
Tests:
 create-extension,
Restrictions:
 allow-stderr,
 superficial,

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+)_(\d+)_(\d+)/$1.$2.$3/ \
 https://github.com/EnterpriseDB/mysql_fdw/tags \
 .*/REL-([\d_].*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
